

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.61. table_copy &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.3.62. table_create" href="table_create.html" />
    <link rel="prev" title="7.3.60. suggest" href="suggest.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/table_copy.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="table_create.html" title="7.3.62. table_create"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="suggest.html" title="7.3.60. suggest"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.61. </span><code class="docutils literal notranslate"><span class="pre">table_copy</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="table-copy">
<h1><span class="section-number">7.3.61. </span><code class="docutils literal notranslate"><span class="pre">table_copy</span></code><a class="headerlink" href="#table-copy" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.61.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">New in version 6.0.8.</span></p>
</div>
<p>TOOD: Write me</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.61.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p>This command takes two parameters.</p>
<p>All parameters are required:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_copy from_name
           to_name
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.61.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.61.4. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<p>This section describes parameters.</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.61.4.1. </span>Required parameters<a class="headerlink" href="#required-parameters" title="Permalink to this headline">¶</a></h3>
<p>All parameters are required.</p>
<div class="section" id="from-name">
<h4><span class="section-number">7.3.61.4.1.1. </span><code class="docutils literal notranslate"><span class="pre">from_name</span></code><a class="headerlink" href="#from-name" title="Permalink to this headline">¶</a></h4>
<p>Specifies the table name of source table.</p>
</div>
<div class="section" id="to-name">
<h4><span class="section-number">7.3.61.4.1.2. </span><code class="docutils literal notranslate"><span class="pre">to_name</span></code><a class="headerlink" href="#to-name" title="Permalink to this headline">¶</a></h4>
<p>Specifies the destination table name.</p>
</div>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.61.4.2. </span>Optional parameters<a class="headerlink" href="#optional-parameters" title="Permalink to this headline">¶</a></h3>
<p>There is no optional parameter.</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.61.5. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p>The command returns <code class="docutils literal notranslate"><span class="pre">true</span></code> as body on success such as:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, true]
</pre></div>
</div>
<p>If the command fails, error details are in <code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
<p>See <a class="reference internal" href="../command/output_format.html"><span class="doc">Output format</span></a> for <code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.61. <code class="docutils literal notranslate"><span class="pre">table_copy</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.61.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.61.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.61.3. Usage</a></li>
<li><a class="reference internal" href="#parameters">7.3.61.4. Parameters</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.61.4.1. Required parameters</a><ul>
<li><a class="reference internal" href="#from-name">7.3.61.4.1.1. <code class="docutils literal notranslate"><span class="pre">from_name</span></code></a></li>
<li><a class="reference internal" href="#to-name">7.3.61.4.1.2. <code class="docutils literal notranslate"><span class="pre">to_name</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#optional-parameters">7.3.61.4.2. Optional parameters</a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.61.5. Return value</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="suggest.html"
                        title="previous chapter"><span class="section-number">7.3.60. </span><code class="docutils literal notranslate"><span class="pre">suggest</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="table_create.html"
                        title="next chapter"><span class="section-number">7.3.62. </span><code class="docutils literal notranslate"><span class="pre">table_create</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="table_create.html" title="7.3.62. table_create"
             >next</a> |</li>
        <li class="right" >
          <a href="suggest.html" title="7.3.60. suggest"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.61. </span><code class="docutils literal notranslate"><span class="pre">table_copy</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>